﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Battleship.MovementStrategy;

public interface IMoveableObjectcs
{
    ObjectParameters? GetObjectPosition {  get; }

    int GetStep {  get; }

    /// <summary>
    /// Шаг объекта
    /// </summary>
    /// <param name="direction">Направление</param>
    /// <returns>true - объект перемещен, false - перемещение невозможно</returns>
    bool TryMoveObject(MovementDirection direction);
}
